#' @export
print.algdoor <- function(x,...){
  get("summary",x)()
}



#' dir_tmp_model

#' dir_tmp_model
#' @param id id of a model
#' @keywords mlfly
#' @export
#' @examples
#' \dontrun{
#' dir_tmp_model()
#' }
dir_tmp_model <- function(id=NULL){

  if (Sys.getenv("MODEL_DIR")!= ""){
    if (is.null(id)) {
      id <- gsub("/","",tempfile(pattern="",tmpdir=""))
      model_path <- file.path(Sys.getenv("MODEL_DIR"),id)
      model_path <- normalizePath(model_path,mustWork = FALSE)
      dir.create(model_path, showWarnings = TRUE, recursive = TRUE)
    } else if (is.character(id)) {
      model_path <- file.path(Sys.getenv("MODEL_DIR"),id)
      model_path <- normalizePath(model_path,mustWork = TRUE)
    } else stop("Argument 'id' must be either NULL or as character")

  } else {
    id <- NULL
    model_path <- NULL
  }

  return(list(id=id,model_path=model_path))
}
